Modération Modérée

Le plugin Modération Modérée permet aux sites dont les forums sont réglés à priori, de ne pas valider les messages des utilisateurs enregistrés.

Modération Modérée est dorénavant disponible en tant que lame du couteau suisse !

Imaginons qu’étant administrateur de votre site, vous répondez à un message d’un membre, pourquoi devriez vous valider votre propre message ? Modération Modérée le fait à votre place !
De la même manière, si vous le configurez pour, la validation des messages des différentes catégories d’utilisateurs peut se faire automatiquement.

VERSION MINIMUM : SPIP 2.0.0 r13080

Installation

Comme pour les autres plugins, il suffit de télécharger l’archive ci-jointe, de la décompresser et d’installer le répertoire obtenu dans le répertoire /plugins de SPIP. L’activation du plugin se fait dans l’interface privée.

Version 1.0.1
Version 2.0.5

Configuration

Dès le plugin activé, passez la souris sur l’onglet Forum pour voir apparaître l’icone de Modération Modérée. Cliquez dessus.

Ensuite il vous sera demandé de l’installer :

Gestions des autorisations

Il est à noter que seul les utilisateurs authentifiés verront leur forums validés directement. En effet, le plugin s’appuie sur la variable $visiteur_session.

Modération Modérée fonctionne avec l’action instituer du pipeline pre_edition(voir 13080 ).
Ce pipeline permet de ne pas surcharger les fonctions de SPIP

Discussion

6 discussions

  • 3

    Bonjour à tous,

    Depuis la dernière version (v2.0.4), j’ai un soucis impactant les sites de mes clients, je sollicite votre expertise car je ne trouve pas la source du soucis.

    J’utilise le plugin LES CRAYONS afin de modifier des messages de forums par les modérateurs du sites. Depuis des années cela se passe parfaitement ;)

    Depuis la dernière version (v2.0.4),il n’est plus possible de valider la modification d’un texte de message de forum, je m’explique :
    -  L’icone crayons apparaît comme il se doit sur le champs
    -  Un clique sur l’icone (ou double clique sur le champs) permet bien de rendre le champs éditable
    -  Si on modifie le texte et que l’on clique sur le bouton vert « Enregistrer », un message d’erreur généré par le navigateur (chrome) apparaît avec pour seul message « Erreur de communication ».
    -  Je clique sur Ok (de la boite de dialogue) puis je constate que mon champs editable est désormais encadré en rouge et qu’il contient désormais du php lié à l’erreur voici un exemple :

    array(0) "$erreur" :"","wid5b8eb186d5e822_92730855" :"
    Ici le texte du message que je souhaite modifier<\/p>"

    Suite à quoi, je n’ai plus les boutons de crayons, et le champs reste en version éditable...

    Autres tests :

    • Si je recommence mon test et que dans ma procédure je ne modifie par le texte, c’est à dire que je
      rends le champs éditable mais ne le modifie pas, je peux cliquer sur enregistrer et il n’y a pas de bug.
    • Si j’essai « Les crayons » sur un article, tout se passe bien.
    • Si je désactive le plugin "Modération Modérée", tout se passe bien.

    J’utilise SPIP 3.2.1 et crayons dans sa dernière version.

    Merci de votre assistance,
    JuL

    Répondre à ce message

  • 5

    Bonjour,

    Ce plugin cause un souci dans un site donc je m’occupe nouvellement ... Tout est à jour (3.2.1 et plugins) même si c’est un site assez torturé en terme de PHP (pas mal de code custom mais bien séparé cependant, pas de custom dans l’espace privé) et en terme de mises à jour depuis ces dernières années, mon rôle est d’essayer de remettre d’aplomb.

    Bref, le site marche mais j’avais un problème sur la fonction de forum privé pour les administrateurs qui ne marchait plus (ok jusqu’à la prévisu puis erreur à la soumission). Le fait de désactiver le plugin ou même juste de désactiver la modération modérée pour les admins rétablit la fonctionnalité, donc je suppose qu’il y a un bug possible dans le plugin.

    Tout est exposé dans le forum suivant.

    Le proprio du site me dit qu’à priori ça fonctionnait en 3.0, c’est apparemment le passage en 3.1 puis 3.2 qui a cassé la chose.

    Voila, plus d’infos possible si besoin.
    Pierre.

    Répondre à ce message

  • Je pose ici (si je corrige plus tard (ou quelqu’un d’autre))

    Installation du plugin Modération Modérée
    array(0) { } MAJ init .
    MAJ 1.0.0 .
    Installation réussie

    Vu sur une 3.0.x à l’installation du plugin ... message engoissant mais l’installation est ok

    Répondre à ce message

  • je viens de commencer à porter le plugin sous 3.0

    à priori, tout à l’air fonctionel, mais si tu veux faire un test ...

    Répondre à ce message

  • Je l’ai installé en 2.1. Tout a l’air de fonctionner. Merci pour ce plugin qui met fin à une situation légèrement agaçante pour les modérateurs.

    Répondre à ce message

  • 1

    Merci pour l’effort ..

    C’est un très beau plugin ..

    dommage que nous les utilisateurs de 192d nous sommes privés de ce plugin ..

    • oui, malheureusement, l’action instituer de pre_edition fait surface dans SPIP 2 et pas SPIP 1.9.2...

    Répondre à ce message

Ajouter un commentaire

Qui êtes-vous ?

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici

Ce champ accepte les raccourcis SPIP {{gras}} {italique} -*liste [texte->url] <quote> <code> et le code HTML <q> <del> <ins>. Pour créer des paragraphes, laissez simplement des lignes vides.

Ajouter un document

Suivre les commentaires : RSS 2.0 | Atom

Dernière modification de cette page le 27 novembre 2017